Bug 145312 - kickstart ignores skipx option
kickstart ignores skipx option
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
FC4
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-17 06:53 EST by Michael Young
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-14 14:27:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kickstart file (1.67 KB, text/plain)
2005-01-18 10:57 EST, Michael Young
no flags Details
/var/log/anaconda.log (14.49 KB, text/plain)
2005-01-18 10:58 EST, Michael Young
no flags Details

  None (edit)
Description Michael Young 2005-01-17 06:53:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.7.5)
Gecko/20041109 Firefox/0.10.1

Description of problem:
The skipx option in our Fedora Core 3 kickstart file (essentially
unchanged from FC2) is ignored, and the install process configures X
even though it was asked not to.
Comment 1 Jeremy Katz 2005-01-17 13:15:20 EST
Can you attach the ks.cfg and /var/log/anaconda.log?
Comment 2 Michael Young 2005-01-18 10:57:43 EST
Created attachment 109925 [details]
Kickstart file
Comment 3 Michael Young 2005-01-18 10:58:16 EST
Created attachment 109926 [details]
/var/log/anaconda.log
Comment 4 Michael Young 2005-01-18 12:02:23 EST
I have traced the problem. kudzu gets called as part of the
doPostInstall routine, and that is configuring various things
including X independent of anacondas x configuration routines.
Comment 5 Bill Nottingham 2005-02-01 22:33:01 EST
kudzu has no concept of kickstart directives; this is not passed in any
meaningful way.

Ideas?
Comment 6 Matthew Miller 2006-07-10 17:47:58 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 7 Paul Nasrat 2006-08-14 14:27:47 EDT
Is this any better with FC5/FC6T2?  If so please reopen and update appropriately.
Comment 8 Michael Young 2006-09-13 09:21:26 EDT
Appears to be fixed in FC5.

Note You need to log in before you can comment on or make changes to this bug.